Security live quote updates

​

Get securities' live quote updates. First call POST /pricing/quotes/v3 with the Updates header set to true, then call this endpoint with the same X-Request-ID to receive the changes since the previous call.

Headers

  • The unique identifier of the request. It is used for identifying the request when using updates. It is recommended that this be set to a globally unique identifier (GUID).

Responses

  • application/json
Request Example for get/pricing/quotes/updates/v3
curl https://test-market-data-api.openmarkets.com.au/pricing/quotes/updates/v3 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "quotes": [
    {
      "securityCode": "CBA",
      "exchange": "ASX",
      "dataSource": "AUX",
      "askCount": 3,
      "askPrice": 7580,
      "askVolume": 10,
      "bidCount": 1,
      "bidPrice": 7570,
      "bidVolume": 180,
      "totalVolume": 10174,
      "totalValue": 733919.16,
      "highPrice": 7530,
      "lastPrice": 7330,
      "lowPrice": 7150,
      "matchPrice": 0,
      "matchVolume": 0,
      "marketValue": 733919.16,
      "marketVolume": 10174,
      "movement": 80,
      "openPrice": 7277,
      "quotationBasisCode": "XD",
      "companyReportCode": "R",
      "tradingStatus": "C",
      "tradeCount": 14,
      "tradeDateTime": "2018-04-03T10:59:17",
      "updateDateTime": "2018-04-03T10:59:17",
      "previousClosePrice": 7250,
      "priceMultiplier": 0.01,
      "marketVwap": 7626.16270976353
    }
  ],
  "invalidSecurities": [
    "123.ASX@TM",
    "FDD.ASX@TM"
  ]
}